cURL
curl --request GET \
--url https://api.brightdata.com/unblocker/get_result \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/unblocker/get_result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/unblocker/get_result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status_code": 200,
"headers": {
"access-control-allow-origin": "*",
"cache-control": "no-store",
"content-type": "text/plain; charset=utf-8",
"date": "Sun, 18 May 2025 20:01:18 GMT",
"server": "nginx",
"connection": "close",
"transfer-encoding": "chunked"
},
"body": "\nWelcome to Bright Data! Here are your proxy details\nCountry: US\nLatitude: 37.751\nLongitude: -97.822\nTimezone: America/Chicago\nASN number: 20473\nASN Organization name: AS-VULTR\nIP version: IPv4\n\nCommon usage examples:\n\n[USERNAME]-country-us:[PASSWORD] // US based Proxy\n[USERNAME]-country-us-state-ny:[PASSWORD] // US proxy from NY\n[USERNAME]-asn-56386:[PASSWORD] // proxy from ASN 56386\n[USERNAME]-ip-1.1.1.1.1:[PASSWORD] // proxy from dedicated pool\n\nTo get a simple JSON response, use https://geo.brdtest.com/mygeo.json .\n\nMore examples on https://docs.brightdata.com/api-reference/introduction\n\n"
}"Request is pending""Invalid token""Result not found"Web Unlocker API
Unlocker async response
Use the Bright Data Web Unlocker API (98% success rate) async endpoint. GET /unblocker/get_result submits or retrieves a queued unlock request as JSON.
GET
/
unblocker
/
get_result
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd...
Query Parameters
Defines the job id. Received in the response headers of your initial async request.
The name of your Bright Data Unlocker zone.
Your Bright Data account ID.
Response
OK
Was this page helpful?
⌘I